PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pgtksh

## Name

pgtksh -- PostgreSQL Tcl/Tk shell client

## Synopsis

pgtksh [`filename` [`arguments`...]]

## Description

pgtksh is a Tcl/Tk shell interface extended with Postgres database access functions. (Essentially, it is wish with `libpgtcl` loaded.) Like with wish, the regular Tcl/Tk shell, the first command line argument is a script file, any remaining arguments are passed to the script. Special options may be processed by the X Window System libraries instead. If no script file is named, the shell is interactive.

A plain Tcl shell with Postgres functions is available as pgtclsh .

## See Also

pgtclsh , PostgreSQL Programmer's Guide (description of `libpgtcl`), tclsh, wish

Prev | Home | Next
pgtclsh | Up | vacuumdb